STOFFPropertyHandler Class Reference documentation

Public Member Functions | List of all members
STOFFPropertyHandler Class Referenceabstract

a generic property handler More...

`#include <STOFFPropertyHandler.hxx>`

Inheritance diagram for STOFFPropertyHandler:

## Public Member Functions
| STOFFPropertyHandler ()
| constructor
virtual | ~STOFFPropertyHandler ()
| destructor
virtual void | insertElement (const char *psName)=0
| inserts a simple element
virtual void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList)=0
| inserts an element ( given a property list )
virtual void | characters (librevenge::RVNGString const &sCharacters)=0
| writes a list of characters
bool | checkData (librevenge::RVNGBinaryData const &encoded)
| checks a encoded librevenge::RVNGBinaryData created by STOFFPropertyHandlerEncoder
bool | readData (librevenge::RVNGBinaryData const &encoded)
| reads a encoded librevenge::RVNGBinaryData created by STOFFPropertyHandlerEncoder

## Detailed Description

a generic property handler

## Constructor & Destructor Documentation

## ◆ STOFFPropertyHandler()

STOFFPropertyHandler::STOFFPropertyHandler | ( |  | ) |
| inline

constructor

## ◆ ~STOFFPropertyHandler()

STOFFPropertyHandler::~STOFFPropertyHandler | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ characters()

virtual void STOFFPropertyHandler::characters | ( | librevenge::RVNGString const & | sCharacters | ) |
| pure virtual

writes a list of characters

Implemented in STOFFGraphicDecoder, and STOFFSpreadsheetDecoder.

Referenced by STOFFPropertyHandlerDecoder::readCharacters().

## ◆ checkData()

bool STOFFPropertyHandler::checkData | ( | librevenge::RVNGBinaryData const & | encoded | ) |

checks a encoded librevenge::RVNGBinaryData created by STOFFPropertyHandlerEncoder

Referenced by STOFFDocument::decodeGraphic(), and STOFFDocument::decodeSpreadsheet().

## ◆ insertElement() [1/2]

virtual void STOFFPropertyHandler::insertElement | ( | const char * | psName | ) |
| pure virtual

inserts a simple element

Implemented in STOFFGraphicDecoder, and STOFFSpreadsheetDecoder.

Referenced by STOFFPropertyHandlerDecoder::readInsertElement(), and STOFFPropertyHandlerDecoder::readInsertElementWithList().

## ◆ insertElement() [2/2]

virtual void STOFFPropertyHandler::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList )
| pure virtual

inserts an element ( given a property list )

Implemented in STOFFGraphicDecoder, and STOFFSpreadsheetDecoder.

## ◆ readData()

bool STOFFPropertyHandler::readData | ( | librevenge::RVNGBinaryData const & | encoded | ) |

reads a encoded librevenge::RVNGBinaryData created by STOFFPropertyHandlerEncoder

Referenced by STOFFDocument::decodeGraphic(), and STOFFDocument::decodeSpreadsheet().

The documentation for this class was generated from the following files:

- STOFFPropertyHandler.hxx
- STOFFPropertyHandler.cxx